Bug 1198917 - VUL-0: chromium: 101.0.4951.41 release
VUL-0: chromium: 101.0.4951.41 release
Status: RESOLVED FIXED
: 1198926 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-27 08:13 UTC by Marcus Meissner
Modified: 2022-05-11 16:20 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2022-04-27 08:13:04 UTC
https://chromereleases.googleblog.com/2022/04/stable-channel-update-for-desktop_26.html

The Chrome team is delighted to announce the promotion of Chrome 101 to the stable channel for Windows, Mac and Linux.This will roll out over the coming days/weeks.

Chrome 101.0.4951.41 for Windows,Mac and Linux contains a number of fixes and improvements -- a list of changes is available in the log. Watch out for upcoming Chrome and Chromium blog posts about new features and big efforts delivered in 101.

Security Fixes and Rewards
Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.This update includes 30 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chrome Security Page for more information.

High CVE-2022-1477: Use after free in Vulkan. Reported by SeongHwan Park (SeHwa) on 2022-04-06
High CVE-2022-1478: Use after free in SwiftShader. Reported by SeongHwan Park (SeHwa) on 2022-02-20
High CVE-2022-1479: Use after free in ANGLE. Reported by Jeonghoon Shin of Theori on 2022-03-10
High CVE-2022-1480: Use after free in Device API. Reported by @uwu7586 on 2022-03-17
High CVE-2022-1481: Use after free in Sharing. Reported by Weipeng Jiang (@Krace) and Guang Gong of 360 Vulnerability Research Institute on 2022-03-04
High CVE-2022-1482: Inappropriate implementation in WebGL. Reported by Christoph Diehl, Microsoft on 2022-03-10
High CVE-2022-1483: Heap buffer overflow in WebGPU. Reported by Mark Brand of Google Project Zero on 2022-04-08
Medium CVE-2022-1484: Heap buffer overflow in Web UI Settings. Reported by Chaoyuan Peng (@ret2happy) on 2022-02-15
Medium CVE-2022-1485: Use after free in File System API. Reported by Anonymous on 2022-02-22
Medium CVE-2022-1486: Type Confusion in V8. Reported by Brendon Tiszka on 2022-04-08
Medium CVE-2022-1487: Use after free in Ozone. Reported by Sri on 2022-03-09
Medium CVE-2022-1488: Inappropriate implementation in Extensions API. Reported by Thomas Beverley from Wavebox.io on 2022-03-04
Medium CVE-2022-1489: Out of bounds memory access in UI Shelf. Reported by Khalil Zhani on 2022-02-25
Medium CVE-2022-1490: Use after free in Browser Switcher. Reported by raven at KunLun lab on 2022-03-01
Medium CVE-2022-1491: Use after free in Bookmarks. Reported by raven at KunLun lab on 2022-03-12
Medium CVE-2022-1492: Insufficient data validation in Blink Editing. Reported by Michał Bentkowski of Securitum on 2022-04-11
Medium CVE-2022-1493: Use after free in Dev Tools. Reported by Zhihua Yao of KunLun Lab on 2021-12-01
Medium CVE-2022-1494: Insufficient data validation in Trusted Types. Reported by Masato Kinugawa on 2022-02-17
Medium CVE-2022-1495: Incorrect security UI in Downloads. Reported by Umar Farooq on 2022-02-28
Medium CVE-2022-1496: Use after free in File Manager. Reported by Zhiyi Zhang and Zhunki from Codesafe Team of Legendsec at Qi'anxin Group on 2022-03-15
Medium CVE-2022-1497: Inappropriate implementation in Input. Reported by Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research on 2021-10-29
Low CVE-2022-1498: Inappropriate implementation in HTML Parser. Reported by SeungJu Oh (@real_as3617) on 2022-02-14
Low CVE-2022-1499: Inappropriate implementation in WebAuthentication. Reported by Jun Kokatsu, Microsoft Browser Vulnerability Research on 2019-09-04
Low CVE-2022-1500: Insufficient data validation in Dev Tools. Reported by Hoang Nguyen on 2021-06-25
Low CVE-2022-1501: Inappropriate implementation in iframe. Reported by Oriol Brufau on 2022-02-02
Comment 1 Callum Farmer 2022-04-27 10:09:49 UTC
*** Bug 1198926 has been marked as a duplicate of this bug. ***
Comment 2 Callum Farmer 2022-05-03 14:19:45 UTC
ok
Comment 3 OBSbugzilla Bot 2022-05-04 10:40:10 UTC
This is an autogenerated message for OBS integration:
This bug (1198917) was mentioned in
https://build.opensuse.org/request/show/974876 Backports:SLE-15-SP3 / chromium
Comment 4 Swamp Workflow Management 2022-05-06 13:17:43 UTC
openSUSE-SU-2022:0125-1: An update that fixes 25 vulnerabilities is now available.

Category: security (important)
Bug References: 1198917,1199118
CVE References: CVE-2022-1477,CVE-2022-1478,CVE-2022-1479,CVE-2022-1480,CVE-2022-1481,CVE-2022-1482,CVE-2022-1483,CVE-2022-1484,CVE-2022-1485,CVE-2022-1486,CVE-2022-1487,CVE-2022-1488,CVE-2022-1489,CVE-2022-1490,CVE-2022-1491,CVE-2022-1492,CVE-2022-1493,CVE-2022-1494,CVE-2022-1495,CVE-2022-1496,CVE-2022-1497,CVE-2022-1498,CVE-2022-1499,CVE-2022-1500,CVE-2022-1501
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    chromium-101.0.4951.54-bp153.2.88.1
Comment 5 Andreas Stieger 2022-05-11 16:20:06 UTC
done